.. _iris.coords:

===========
iris.coords
===========



.. currentmodule:: iris

.. automodule:: iris.coords

In this module:

 * :py:obj:`AuxCoord`
 * :py:obj:`Cell`
 * :py:obj:`CellMeasure`
 * :py:obj:`CellMethod`
 * :py:obj:`Coord`
 * :py:obj:`CoordDefn`
 * :py:obj:`CoordExtent`
 * :py:obj:`DimCoord`



A CF auxiliary coordinate.

.. note::

    There are currently no specific properties of :class:`AuxCoord`,
    everything is inherited from :class:`Coord`.

..

    .. autoclass:: iris.coords.AuxCoord
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


An immutable representation of a single cell of a coordinate, including the
sample point and/or boundary position.

Notes on cell comparison:

Cells are compared in two ways, depending on whether they are
compared to another Cell, or to a number/string.

Cell-Cell comparison is defined to produce a strict ordering. If
two cells are not exactly equal (i.e. including whether they both
define bounds or not) then they will have a consistent relative
order.

Cell-number and Cell-string comparison is defined to support
Constraint matching. The number/string will equal the Cell if, and
only if, it is within the Cell (including on the boundary). The
relative comparisons (lt, le, ..) are defined to be consistent with
this interpretation. So for a given value `n` and Cell `cell`, only
one of the following can be true:

|    n < cell
|    n == cell
|    n > cell

Similarly, `n <= cell` implies either `n < cell` or `n == cell`.
And `n >= cell` implies either `n > cell` or `n == cell`.

..

    .. autoclass:: iris.coords.Cell
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A CF Cell Measure, providing area or volume properties of a cell
where these cannot be inferred from the Coordinates and
Coordinate Reference System.

..

    .. autoclass:: iris.coords.CellMeasure
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Represents a sub-cell pre-processing operation.

..

    .. autoclass:: iris.coords.CellMethod
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Abstract superclass for coordinates.

..

    .. autoclass:: iris.coords.Coord
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Criterion for identifying a specific type of :class:`DimCoord` or
:class:`AuxCoord` based on its metadata.

..

    .. autoclass:: iris.coords.CoordDefn
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Defines a range of values for a coordinate.

..

    .. autoclass:: iris.coords.CoordExtent
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


A coordinate that is 1D, numeric, and strictly monotonic.

..

    .. autoclass:: iris.coords.DimCoord
        :members:
        :undoc-members:
        :inherited-members:

